Subject: [bug#41192] [PATCH 2/2] gnu: wireguard-tools: Fix wg-quick.

From: Leo Famulari <[email-masked]>
Date: Mon, 11 May 2020 15:58:34 -0400

On Mon, May 11, 2020 at 08:53:10PM +0200, Brice Waegeneire wrote:
> +         (add-after 'install 'install-contrib

How about calling this phase "install-docs" or "install-contrib-docs"?.

> +               (wrap-program (string-append out "/bin/wg-quick")
> +                 `("PATH" ":" = ,(append inputs-sbin
> +                                         (list coreutils
> +                                               "/run/setuid-programs"))))
> +               #t))))))

Setuid Guix only exists on Guix System, so we should drop this wrapper.
It's okay to make users do `sudo wg-quick` or similar.

> +    (native-inputs
> +     `(("bash" ,bash)))  ; for contrib scripts using /dev/tcp
> +    (inputs
> +     `(("resolvconf" ,openresolv)
> +       ("coreutils" ,coreutils)

Is coreutils not already available in the build environment?

> +       ("bash" ,bash)                   ; for contrib scripts using /dev/tcp

IIUC, we don't need to include Bash in both 'native-inputs' and
'inputs'. If this Bash will be used at run-time (e.g. as a script
shebang), we should just use 'inputs'.